Šiuo metu esate neprisijungę, laukiama, kol iš naujo prisijungsite prie interneto

Žinomos problemos įdiegti SQL serverio Windows 7 arba Windows Server 2008 R2

SVARBU: šis straipsnis išverstas naudojant „Microsoft“ mašininio vertimo programinę įrangą ir gali būti pataisytas naudojant „Community Translation Framework“ (CTF) technologiją. „Microsoft“ siūlo mašinos išverstus ir po to bendruomenės suredaguotus straipsnius, taip pat žmogaus išverstus straipsnius siekdama suteikti prieigą prie visų savo žinių bazės straipsnių daugeliu kalbų. Mašinos išverstuose ir vėliau paredaguotuose straipsniuose gali būti žodyno, sintaksės ir / arba gramatikos klaidų. „Microsoft“ neatsako už jokius netikslumus, klaidas arba žalą, patirtą dėl neteisingo turinio vertimo arba mūsų klientų naudojimosi juo. Daugiau apie CTF žr. http://support.microsoft.com/gp/machine-translation-corrections.

955725
Santrauka
Šiame straipsnyje aprašoma žinomų problemų diegiant Microsoft SQL serverio kompiuteryje, kuriame veikia Windows 7 "arba" Windows Server 2008 R2.

Pastabos
  • Visuose leidimuose išskyrus su Express Edition, SQL Server 2008 su Windows 7 arba Windows Server 2008 R2, turite turėti bent įdiegtas SQL Server 2008 1 pakeitimų paketas (SP1).

    Pastaba. Išreikšti kalba jau yra 1 pakeitimų paketas.
  • Visuose leidimuose SQL Server 2005, kuriuose veikia Windows 7 arba Windows Server 2008 R2, turite turėti bent įdiegtas SQL Server 2005 3 pakeitimų paketo (SP3).
  • Šiame straipsnyje, Windows 7 rodo kliento versija Windows 7. Windows Server 2008 R2 parodo serverio versija Windows 7.
Žinomos problemos
  • Windows 7 nenaudoja ypatybę RequireKerberos siekiant nustatyti, ar įgalintas Kerberos autentifikavimas

    Todėl, kad Windows 7 nenaudoja, RequireKerberos turtas, skirtas nustatyti, ar Kerberos autentifikavimas įgalinamas tinklo pavadinimas išteklių permetimo klasteris įdiegti SQL Server 2008 nepavyksta.
  • Kai federalinės informacijos tvarkymo standartas (FIPS) strategija yra suaktyvinta Windows 7 arba Windows Server 2008 R2, klasterio nepatikrinamas SQL Server 2008 diegimo metu

    Kai FIPS strategija yra suaktyvinta Windows 7 arba Windows Server 2008 R2, klasterio patikrinti nepavyksta SQL Server 2008 diegimo metu. Todėl nustatymą nepavyksta.

    Norėdami išspręsti šias dvi problemas, turite įdiegti SQL Server 2008 kartu su SQL Server 2008 (SP1) arba vėlesnį naujinimą Klasterinė įrenginiams. Norėdami gauti daugiau informacijos, kaip gauti Microsoft SQL Server 2008 SP1, spustelėkite toliau straipsnio numerį ir peržiūrėkite straipsnį Microsoft žinių bazėje:
    968382 Kaip įsigyti naujausią pakeitimų paketą SQL Server 2008
    Norėdami gauti daugiau informacijos apie tai, kaip atnaujinti SQL serverio sąranka yra sugrupuotos arba nonclustered aplinką, spustelėkite toliau straipsnio numerį ir peržiūrėkite straipsnį Microsoft žinių bazėje:
    955392 Kaip atnaujinti arba slipstream įrenginio SQL Server 2008
  • SQL Server 2008 diegimas gali nepavykti dėl Windows Server 2008 R2

    SQL Server 2008 diegimas gali nepavykti dėl Windows Server 2008 R2 jei neįgalinta Microsoft .NET Framework. Ši problema kyla, nes įdiegti .NET Framework 3.5 yra būtinas, kad šios įrangos.

    Windows Server 2008 R2, .NET Framework 3.5 yra įtrauktos kaip Windows komponentą. Pagal numatytuosius nustatymus nėra įgalinta .NET Framework 3.5. Siekiant išvengti šio diegimo triktį, turite įgalinti .NET Framework 3.5 iš Windows funkcijų komponento prieš paleidžiant SQL Server 2008 diegimo.
  • Sąrankos SQL Server 2008 gali nepavykti

    Sąrankos SQL Server 2008 gali žlugti, ir gaunate šį klaidos pranešimą:
    Remtis ar BeginInvoke negali iškviesti valdiklį kol lango rankenos buvo sukurta.
    Jūs galite įdiegti Kaupiamasis naujinimas Norėdami išspręsti šią problemą. Norėdami gauti daugiau informacijos, spustelėkite toliau straipsnio numerį ir peržiūrėkite straipsnį Microsoft žinių bazėje:
    975055 NUSTATYTI: Diegiant SQL Server 2008 kompiuteryje, kuriame veikia Windows 7 klaidos pranešimas: "Invoke arba BeginInvoke iškviesti negalima valdiklis kol lango rankenos buvo sukurta"
Daugiau informacijos

Minimali versija reikalavimus Windows 7 arba Windows Server 2008 R2

Prieš pradėdami diegti SQL serverio kompiuteryje, kuriame veikia Windows 7 "arba" Windows Server 2008 R2, turite įsitikinti, kad jūs patenkinti šias minimalus būtinas sąlygas, atsižvelgdami į savo situaciją.

SQL Server 2008

Klasterinė įrenginiai

Turite įdiegti SQL Server 2008 kartu su SQL Server 2008 pakeitimų paketu arba vėlesnį naujinimą (tai taip pat žinomas kaip slipstreamed versija).

Nonclustered įrenginiai

Turite įdiegti SQL Server 2008 po SQL Server 2008 pakeitimų paketu arba vėlesnį naujinimą.
Pastaba. SQL Server 2008 express runtime palaiko Windows 7 ir Windows 2008 R2.
Daugiau informacijos apie aparatūros ir programinės įrangos requirements for įdiegti SQL Server 2008, į Aparatūros ir programinės įrangos Requirements for įdiegti SQL serverio 2012 Microsoft Developer Network (MSDN) svetainėje.

SQL Server 2005

Turite įdiegti SQL Server 2005 SQL serverio Service Pack 3 arba vėlesnį naujinimą.

Daugiau informacijos apie Klasterinė įrenginių SQL Server 2005, spustelėkite toliau straipsnio numerį ir peržiūrėkite straipsnį Microsoft žinių bazėje:
973993 Kai kurių mazgų neatnaujinami kaip tikėtasi, kai taikote Service Pack 3 arba pakeitimų 3 pakeitimų paketo naujinimui SQL Server 2005 klasteryje, remiasi Windows Server 2008 R2 nepavykusių sankaupų
Norėdami gauti daugiau informacijos, kaip gauti SQL Server 2005 paslaugų paketus, spustelėkite toliau straipsnio numerį ir peržiūrėkite straipsnį Microsoft žinių bazėje:
913089 Kaip įsigyti naujausią pakeitimų paketą SQL Server 2005

Daugiau informacijos apie SQL Server 2005

Pastaba. SQL Server 2005 Express Service Pack 2 runtime palaiko Windows 7 ir Windows Server 2008 R2.

.NET Framework

Turite įgalinti Microsoft .NET Framework 3.5 SP1 prieš pradėdami diegti SQL Server 2008 kompiuteryje, kuriame veikia Windows Server 2008 R2. .NET pagrindų 3.5 SP1, būtina SQL Server 2008. SQL Server 2008 sąrankos bus įdiegti .NET pagrindų 3.5 SP1, jei ji dar neįdiegta. Tačiau dėl nepavykusių sankaupų, .NET pagrindų 3.5 SP1 turi būti įdiegtas prieš SQL Server 2008 permetimo klasteris montavimą.

Windows Server 2008 R2, .NET Framework yra sistemos komponentas. Todėl negalite įdiegti .NET Framework perskirstymo požiūriu. Turite įdiegti .NET Framework iš serverio vaidmuo arba naudodami ServerManagerCmd.exe.

Jums nereikia įdiegti .NET Framework šiais atvejais:
  • Kompiuteryje, kuriame veikia Windows Server 2008 R2 ir kurią .NET pagrindų 3.5 SP1 yra įdiegtas
  • Kompiuteryje, kuriame veikia Windows 7

    Pastaba. Pagal nutylėjimą, .NET pagrindų 3.5 SP1 yra įdiegta Windows 7.
Win7 windows7 beta ws08r2

Įspėjimas: šis straipsnis išverstas automatiškai

Savybės

Straipsnio ID: 955725 – Paskutinė peržiūra: 10/09/2013 06:02:00 – Peržiūra: 2.0

  • Microsoft SQL Server 2008 Enterprise
  • Microsoft SQL Server 2008 Developer
  • Microsoft SQL Server 2008 Standard
  • Microsoft SQL 2005 Server Enterprise
  • Microsoft SQL Server 2005 Standard Edition
  • Microsoft SQL Server 2005 Express Edition
  • Microsoft SQL 2005 Server Workgroup
  • kbsqlsetup kbpreinstall kbinstallation kbprerequisite kbexpertiseadvanced kbsurveynew kbinfo kbhowto kbmt KB955725 KbMtlt
Atsiliepimai